FIXED - yum update error - Header is not complete

brightonbob

Joined
Jul 2, 2007
Messages
17
Likes
0
Points
0
#1
Hi all

I tried a "yum update elastix" to go from 9.0-14 to 9.0-18 and got the following error.

yum update elastix
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Excluding Packages from Elastix RPM Repository for CentOS
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for elastix to pack into transaction set.
elastix-0.9.0-18.noarch.r 100% |=========================| 138 kB 00:01
http://repo.elastix.org/centos/5/update ... noarch.rpm: [Errno -1] Header is not complete.
Trying other mirror.
Error: failure: elastix-0.9.0-18.noarch.rpm from elastix: [Errno 256] No more mirrors to try.

What can I do to fix this?<br><br>Post edited by: brightonbob, at: 2007/11/29 06:36
 

brightonbob

Joined
Jul 2, 2007
Messages
17
Likes
0
Points
0
#2
Re:yum update error - Header is not complete

I also tried:

I downloaded the elastix 9.0-18 RPM file and tried a yum localinstall but it errors with package not signed.

and when I try yum update I get the following error:

Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
elastix 100% |=========================| 951 B 00:00
Reading repository metadata in from local files
Excluding Packages from Elastix RPM Repository for CentOS
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for mISDNuser-devel to pack into transaction set.
mISDNuser-devel-1.1.6-13. 100% |=========================| 7.0 kB 00:00
http://repo.elastix.org/centos/5/update ... 3.i386.rpm: [Errno -1] Header is not complete.
Trying other mirror.
Error: failure: mISDNuser-devel-1.1.6-13.i386.rpm from elastix: [Errno 256] No more mirrors to try.
 

brightonbob

Joined
Jul 2, 2007
Messages
17
Likes
0
Points
0
#3
Re:yum update error - Header is not complete

And finally

In the elastix module "updates" the elastix rm 9.0 R18 is marked as installed and updated. But the web interface and Yum and RPM show that only R14 is installed.

Is this part of the same problem as above or something else/new?

Can anyone help - there are some important updates in the R18.

Thanks
 

bmacias

Joined
Sep 27, 2007
Messages
205
Likes
0
Points
0
#4
Re:yum update error - Header is not complete

You have reason about this problem, ours repository server had problems but today is fine..

About module "updates" implements update package not end.

Change log only 18
- Delete menus Backup, Restore and Backup List in moment update rpm elastix, this menus obsolete. Now this menus are Backup/Restore only<br><br>Post edited by: bmacias, at: 2007/11/22 17:10
 

brightonbob

Joined
Jul 2, 2007
Messages
17
Likes
0
Points
0
#5
Re:yum update error - Header is not complete

Hi

I still have the same problems as listed above - can anyone help me?

Thanks
 

bmacias

Joined
Sep 27, 2007
Messages
205
Likes
0
Points
0
#6
Re:yum update error - Header is not complete

You make yum update againt. The repositoires elastix is fine.
 

brightonbob

Joined
Jul 2, 2007
Messages
17
Likes
0
Points
0
#7
Re:yum update error - Header is not complete

As stated Repos now working fine - update etc all works.

Thanks
 

py8azt

Joined
Oct 19, 2007
Messages
8
Likes
0
Points
0
#8
Re:yum update error - Header is not complete

I installed 0.9-18 and "yum update" is not working. On other server I can do yum update without any issue.

Error:
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for krb5-devel to pack into transaction set.
krb5-devel-1.6.1-17.el5.i 100% |=========================| 47 kB 00:01
http://updates.interworx.info/centos/5. ... 5.i386.rpm: [Errno -1] Header is not complete.
Trying other mirror.

If I try install any think with yum same error.

Any clue?

Thanks
 

gman99

Joined
Nov 25, 2007
Messages
4
Likes
0
Points
0
#9
Re:yum update error - Header is not complete

I am getting the following error. Anyone can pls help

Transaction Check Error:
file /var/www/html/modules/pbxadmin/index.php conflicts between attempted installs of elastix-0.9.1-3 and freePBX-2.3.1-15
 

bmacias

Joined
Sep 27, 2007
Messages
205
Likes
0
Points
0
#10
Re:yum update error - Header is not complete

There are new rpms for updates, one more time make update.
 

gman99

Joined
Nov 25, 2007
Messages
4
Likes
0
Points
0
#11
Re:yum update error - Header is not complete

I am still getting the error below

Total download size: 168 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): elastix-0.9.1-4.no 100% |=========================| 4.2 MB 00:12
(2/2): elastix-vtigercrm- 100% |=========================| 7.2 MB 00:21
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
file /var/www/html/modules/pbxadmin/index.php conflicts between attempted installs of elastix-0.9.1-4 and freePBX-2.3.1-15

Error Summary

why is there a index.php conflict. Can anyone pls help? How can I disable one of them
 

lek

Guest
#12

gman99

Joined
Nov 25, 2007
Messages
4
Likes
0
Points
0
#13
Re:yum update error - Header is not complete

After re-running yum update it worked.

Thanks
 

blapoint

Joined
Jun 11, 2007
Messages
34
Likes
0
Points
0
#14
Re:FIXED - yum update error - Header is not comple

After doing a yum - y update it appears that everything was worked correctly but the first time I rebooted the system I got Kernel Panic related to Zaptel and had to reload the system. I have reloaded O.9.0 - 14 three times now and did a yum update to 0.9.1-3 three times always with the same results (Kernel Panic upon reboot). Did anybody else have this issue?
 

lek

Guest
#15
Re:FIXED - yum update error - Header is not comple

Please, follow the following steps:

1) Boot with the xen kernel
2) remove the kernel-module-rhino modules
3) #cd /lib/modules
4) #depmod
5) reboot your machine

Please, keep me posted about your problem.
 

blapoint

Joined
Jun 11, 2007
Messages
34
Likes
0
Points
0
#16
Re:FIXED - yum update error - Header is not comple

Hi edgar

before I try this does this mean that Rhino Cards such as R4FXo-EC will not work? I use the R4FX0 card and cannot be down for an extended period while reloading Elastix.
 

lek

Guest
#17
Re:FIXED - yum update error - Header is not comple

We'll release the new Rhino drivers in about one hour.
 

lek

Guest
#18
Re:FIXED - yum update error - Header is not comple

The new drivers are in the repo now. Please run a "yum update".

P.S. If you uninstalled the kernel-module-rhino packages run a "yum install kernel-module-rhino" and "yum install kernel-module-rhino-xen".

Please, keep me posted about this case.<br><br>Post edited by: edgar, at: 2007/12/05 22:38
 

blapoint

Joined
Jun 11, 2007
Messages
34
Likes
0
Points
0
#19
Re:FIXED - yum update error - Header is not comple

Hello Edgar

I just tried the yum update again and still have the same issue with Kernel Panic issues.
 

lek

Guest
#20
Re:FIXED - yum update error - Header is not comple

Hmm... it worked in our test machine.

Anyway, please send me your /var/log/yum.log file and the full output of your dmesg command.
 

Members online

No members online now.

Latest posts

Forum statistics

Threads
30,902
Messages
130,887
Members
17,567
Latest member
achilont13
Top